
Redmine - Defect #21558

The issue parent has in most caes to be deleted before assigning a new parent.

2015-12-17 13:56 - Nils Grimm

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.0

Description

In most cases Redmine throws an error that the parent assignment can't be done.

In the Redmine logs no error messages are shown.

To get the reassigning working you have to:

1. Delete the parent number in the child issue.

2. Save the child issue.

3. Enter the new parent value in the child issue.

4. Save the child issue.

In some case its working on the fly, I couldn't determine the reason of the different behaviour so far.

Related issues:

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2016-01-12 07:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Nils Grimm wrote:

In most cases Redmine throws an error that the parent assignment can't be done.

 What error?

#2 - 2016-01-13 09:46 - Nils Grimm

No error in the log are shown but the GUI are showing a error that the value can't be assigned.

This is the same error message if an illegal value should be assigned to an attribute.

#3 - 2016-01-19 17:23 - Nils Grimm

The error message in the GUI looks like: Parent task is invalid

The redmine log only shows:

Processing by IssuesController#update as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"L2bNEW89gD/oNgHqQSofCnSz590cpF/1NcMLWrgjNXiVoQYe1C45eXdhVmv

ZZj6cWDlJh2sILHWU6OORaHoVlQ==", "form_update_triggered_by"=>"", "issue"=>{"project_id"=>"112", "tracker_id"=>"

4", "subject"=>"Duration Test for Entering and Leaving 'mem' Standby Mode using UART wakeup", "description"=>"

Test has to be determined.", "status_id"=>"7", "priority_id"=>"2", "assigned_to_id"=>"14", "category_id"=>"555

1", "fixed_version_id"=>"4516", "parent_issue_id"=>"11856", "start_date"=>"", "due_date"=>"", "estimated_hours

"=>"8.0", "custom_field_values"=>{"83"=>"", "113"=>"", "106"=>"", "43"=>"0", "44"=>"0", "45"=>"0", "46"=>"0", 

"47"=>"0", "48"=>"0", "49"=>"0", "50"=>"0", "51"=>"0", "52"=>"0", "53"=>"0", "54"=>"0", "55"=>"0", "56"=>"0", 

"57"=>"0", "58"=>"0", "59"=>"0", "109"=>"0", "62"=>"0", "70"=>"0", "69"=>"0", "66"=>"0", "63"=>"0", "64"=>"0",

 "72"=>"0", "73"=>"0", "84"=>"0", "85"=>"0", "99"=>"0", "67"=>"0", "97"=>"0", "108"=>["Spezifikation", ""]}, "

notes"=>"", "private_notes"=>"0", "lock_version"=>"24"}, "was_default_status"=>"7", "last_journal_id"=>"124473

", "commit"=>"OK", "id"=>"12400"}

  Current user: grimm (id=1)

  Rendered issues/_form_custom_fields.html.erb (17.8ms)

  Rendered issues/_attributes.html.erb (47.6ms)
  Rendered issues/_form.html.erb (66.2ms)

  Rendered attachments/_form.html.erb (2.7ms)

  Rendered issues/_edit.html.erb (73.6ms)

  Rendered issues/edit.html.erb within layouts/base (76.2ms)

Completed 200 OK in 768ms (Views: 107.4ms | ActiveRecord: 95.2ms)

 Ticket 12400 is in the same project as the 11856.

#4 - 2016-01-19 17:35 - Nils Grimm

In the case #21558-3 the problem was a relation in the issue which I wanted to set the parent dependency.

In this case helps:

1. Deleting the relation.

2. Adding the parent dependency.

3. Adding afterwards the deleted relation again.

But there are other cases, I had also a issue where the relation copied from in the parent was preventing the new child issue.

After I assigned the dependency I could add the relation in the parent afterwards.

#5 - 2016-01-28 11:36 - Nils Grimm

Scenario:

1. Subtask will be copied vie right click.

The old subtask gets a copied to relation.

The new issue gets a copied from relation.

2. Later on the user wants to assign a parent to the copied issue.

3. Redmine will prevent a parent assignment.

#6 - 2016-02-12 04:19 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Duplicate of #13654.

#7 - 2016-02-12 04:19 - Toshi MARUYAMA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added
